FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
WORKDIR /src

COPY ./*.csproj ./
RUN dotnet restore

COPY . ./
RUN dotnet publish -c Release -o /app/publish --no-restore

FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS runtime

ENV ASPNETCORE_URLS=http://0.0.0.0:8080

WORKDIR /app
COPY --from=build /app/publish /app

EXPOSE 80
ENTRYPOINT ["dotnet", "LowLevelGuyCom.dll"]

